### Constructor

# Gtk BookmarkList new

#### Declaration [src]

    GtkBookmarkList*
    gtk_bookmark_list_new (
      const char* filename,
      const char* attributes
    )

#### Description [src]

Creates a new `GtkBookmarkList` with the given `attributes`.

#### Parameters

`filename`

  Type: `const char*`

  The bookmark file to load.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`attributes`

  Type: `const char*`

  The attributes to query.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkBookmarkList`

A new `GtkBookmarkList`.

The caller of the function takes ownership of the data, and is responsible for freeing it.